#!/bin/sh
# SPDX-License-Identifier: GPL-3.0-or-later

set -euo pipefail

. "$(dirname "$0")/lib.sh"

setup "$1"
plan 3

write_conf "d $TESTDIR/mode-test 0700 - - -"
run_test "create mode directory command" "$SEEDFILES" --create "$TESTDIR/conf"
assert_exists "$TESTDIR/mode-test"
assert_mode "$TESTDIR/mode-test" "700"

done_testing
